Summary: high-performance, distributed memory object caching system
Summary(ko): 높은 성능의 메모리 기반 캐싱 시스템
Name: memcached
Version: 1.5.0
Release: 1%{?dist}
Epoch: 1
License: BSD
Group: Applications/Daemons
Source0: http://memcached.googlecode.com/files/%{name}-%{version}.tar.gz
Source1: memcached.init
Source2: memcached.sysconfig
Source3: memcached.checker
Patch0: memcached-makefile.patch
Patch1: memcached-debug.patch
URL: http://www.memcached.org/
Buildroot: /var/tmp/%{name}-%{version}-root
BuildRequires: libevent-devel >= 1.4
Requires: libevent >= 1.4
%ifarch x86_64
%define enable64 1
%endif

%description
memcached is a high-performance, distributed memory object caching system,
generic in nature, but intended for use in speeding up dynamic web
applications by alleviating database load.

%package header
Summary: memcached header file
Group: Development

%description header
memcached header file for C or C++

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
%patch0 -p1
#patch1 -p1

%build
%{configure} \
	%{?enable64: --enable-64bit} \
	--with-libevent=%{_prefix}

%{__make} %{?_smp_mflags}

%install
%{__make} DESTDIR=%{buildroot} install

%{__mkdir} -p %{buildroot}%{_sysconfdir}/{sysconfig,rc.d/init.d}
%{__install} -m 755 %{SOURCE1} %{buildroot}%{_sysconfdir}/rc.d/init.d/%{name}
%{__install} -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
%{__install} -m 755 scripts/%{name}-tool %{buildroot}%{_sbindir}/%{name}-tool
%{__install} -m 755 %{SOURCE3} %{buildroot}%{_sbindir}/%{name}-checkup

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add memcached
/sbin/chkconfig --level 35 memcached on

%preun
if test $1 = 0 ; then
	/sbin/service memcached stop || true
	/sbin/chkconfig --del memcached
fi

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/sysconfig/memcached
%{_sysconfdir}/rc.d/init.d/memcached
%{_sbindir}/memcached*
%{_mandir}/man1/*.1*

%files header
%{_includedir}/memcached/*.h

%changelog
* Thu Aug 24 2017 JoungKyun.Kim <hostmaster@oops.org> 1:1.5.0-1%{?dist}
- update 1.5.0
  https://github.com/memcached/memcached/wiki/ReleaseNotes1437
  https://github.com/memcached/memcached/wiki/ReleaseNotes1438
  https://github.com/memcached/memcached/wiki/ReleaseNotes1439
  https://github.com/memcached/memcached/wiki/ReleaseNotes150
- security issues
  . CVE-2017-9951 Update Remote Code Execution Vulnerability

* Tue Mar 21 2017 JoungKyun.Kim <hostmaster@oops.org> 1:1.4.36-1%{?dist}
- update 1.4.36
  https://github.com/memcached/memcached/wiki/ReleaseNotes1436
  https://github.com/memcached/memcached/wiki/ReleaseNotes1435
  https://github.com/memcached/memcached/wiki/ReleaseNotes1434

* Fri Nov 11 2016 JoungKyun.Kim <hostmaster@oops.org> 1:1.4.33-1%{?dist}
- update 1.4.33
  https://github.com/memcached/memcached/wiki/ReleaseNotes1433
- security issues
  . CVE-2016-8704 Append/Prepend Remote Code Execution Vulnerability
  . CVE-2016-8705 Update Remote Code Execution Vulnerability
  . CVE-2016-8706 SASL Authentication Remote Code Execution Vulnerability

* Sat Oct 29 2016 JoungKyun.Kim <hostmaster@oops.org> 1:1.4.32-1%{?dist}
- update 1.4.32
  https://github.com/memcached/memcached/wiki/ReleaseNotes1432
  https://github.com/memcached/memcached/wiki/ReleaseNotes1431
  https://github.com/memcached/memcached/wiki/ReleaseNotes1430
  https://github.com/memcached/memcached/wiki/ReleaseNotes1429
  https://github.com/memcached/memcached/wiki/ReleaseNotes1428
  https://github.com/memcached/memcached/wiki/ReleaseNotes1427
  https://github.com/memcached/memcached/wiki/ReleaseNotes1426
  https://github.com/memcached/memcached/wiki/ReleaseNotes1425
  https://github.com/memcached/memcached/wiki/ReleaseNotes1424
  https://github.com/memcached/memcached/wiki/ReleaseNotes1423
  https://github.com/memcached/memcached/wiki/ReleaseNotes1422
  https://github.com/memcached/memcached/wiki/ReleaseNotes1421
  https://github.com/memcached/memcached/wiki/ReleaseNotes1420
  https://github.com/memcached/memcached/wiki/ReleaseNotes1419
  https://github.com/memcached/memcached/wiki/ReleaseNotes1418

* Thu Feb 27 2014 JoungKyun.Kim <hostmaster@oops.org> 1:1.4.17-1%{?dist}
- update 1.4.17

* Fri Feb 17 2012 JoungKyun.Kim <hostmaster@oops.org> 1:1.4.13-1%{?dist}
- update 1.4.13

* Mon Aug  2 2010 JoungKyun.Kim <hostmaster@oops.org> 10:1.4.5-3%{?dist}
- deviede header file

* Fri Jul 30 2010 JoungKyun.Kim <hostmaster@oops.org> 10:1.4.5-2%{?dist}
- fixed recording of wrong pid file on multiple instance start
- support individual start and stop per port

* Mon Jun 14 2010 JoungKyun.Kim <hostmaster@oops.org> 10:1.4.5-1%{?dist}
- update 1.4.5

* Fri Sep 12 2008 JoungKyun.Kim <hostmaster@oops.org> 2:1.2.6-2
- support multi memcached start in init file
- support memcache process check startup script

* Wed Aug 27 2008 JoungKyun.Kim <hostmaster@oops.org> 1:1.2.6-1
- update 1.2.6

* Fri Jul 25 2008 JoungKyun.Kim <hostmaster@oops.org> 1:1.2.5-1
- initial package
